=== debian/changelog ===
uhd (3.9.4-2mx150+1) mx; urgency=medium

  * Rebuilt for MX-15

 -- Timothy E. Harris <maintainer@mepiscommunity.org>  Tue, 09 Aug 2016 12:55:35 -0400

uhd (3.9.4-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 17 May 2016 17:44:15 -0400

uhd (3.9.4-2) unstable; urgency=medium

  * revert Build-Depends-Indep change

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 05 May 2016 23:34:12 -0400

uhd (3.9.4-1) unstable; urgency=medium

  * New upstream release
    GPIO control: Fix address mismatch for RX and full duplex.
                  This fixes full-duplex mode for most devices.
    B200: Fixed auto rate selection (can now select 61.44 Msps)
    UBX: Fix member declaration order which could cause
         segfaults for debug builds
    Manual/Docs: Numerous fixes, use dot for graphs in manual
    Utils: multiple fixes for query_gpsdo_sensors, fixed floating point
           comparison
    Windows: Include registry file in installation
    Converters: Improve NEON converters

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 05 May 2016 19:46:38 -0400

uhd (3.9.3-2) unstable; urgency=medium

  * update to release_003_009_003-12-g62f80e2
    Added missing stdint.h include
    Unroll the loops in the NEON float to-from integer c
    cmake Added installation of .reg file
    utils Updated query_gpsdo_sensors
    query_gpsdo_sensors fixed sleep time
    ubx Changed member declaration to satisfy debug build
    Removed mention of OSX PPC support
    Updated URL for USRP image files
    Fixed spelling errors mostly in documentation
    gpio core Fixed a mismatch in the address assignment
    cmake Enable use of dot for Doxygen
  * Enable use of dot for Doxygen in Debian .doc package build

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 11 Apr 2016 15:12:01 -0400

uhd (3.9.3-1) unstable; urgency=medium

  * New upstream release
  * Add C API to debian/patches/uhd-platform-hurd-kfreebsd

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 29 Mar 2016 21:11:24 -0400

uhd (3.9.3-0ubuntu1) trusty; urgency=low

  * UBX: Fixed a phase synchronization issue on the sub-1GHz band
  * USB: Fixed transport issue that crashed when multiple USB devices were
    connected on a Windows machine, more graceful handling of USB disconnects,,
    provided .cdf file for installing on Windows
  * B200: Fixed memory growth/increasing tune times issue
  * E300: Fixed memory leak with udev, fixed issue with autoboot value, fixes
    to button behaviour
  * usrp2, usrp3: Fixed IQ imbalance and DC bias in DDC chain
  * CMake: Windows registry fixes
  * Fixed several compiler warnings and minor bugs
  * Examples: Updated benchmark_rate for improved thread safety

 -- Ettus Research <packages@ettus.com>  Mon, 21 Mar 2016 11:40:26 -0800

uhd (3.9.2-3) unstable; urgency=medium

  * update to release_003_009_002-27-gccc8acb
    x300: Added power cycle message to uhd_image_loader
    Added <cstddef> includes to support more platforms

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 11 Mar 2016 15:42:34 -0500

uhd (3.9.2-2) unstable; urgency=medium

  * update to release_003_009_002-21-gf212665
    B200: Fix for increasing retune times
    Corrected the UHD behavior in the event of a USB disconnect
    UBX: Phase synchronization
  * build with ENABLE_GPSD OFF (Closes: #811916)
    
 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 09 Mar 2016 11:33:47 -0500

uhd (3.9.1-5~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 28 Nov 2015 18:31:39 -0500
